<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_d155d43a39de93f8581" . "23c6b6ce31d8a" => base64_decode("cHJlZ19tYX" . "RjaA=="), "_523a40c86a0eb0" . "d317646ab2bbd40" . "de8" => base64_decode("Tm8gdGVtcGxhdGUgcmVxdWVzdGV" . "k"), "_2c83c05de" . "4fa1408a29" . "8026dfb8d9" . "4b9" => base64_decode("Y2ZnX2RldmVsb3B" . "lcl9tb2Rl"), "te" . "mp" . "la" . "te" => base64_decode("dGVtcG" . "xhdGU="), "_7313d91" . "06eada68" . "fc893a6d" . "6733b58a" . "6" => base64_decode("VGVtcGxhdGUgZG9lcyBub" . "3QgZW5kIHdpdGggdGhlIC" . "oudHdpZyBleHRlbnNpb24" . "="), "_e632e86b0" . "2887f94d49" . "b7ed76a3eb" . "cdc" => base64_decode("VGVtcGxhdGUgbm90IGZvdW" . "5k"), "_69100b7c21ef" . "ad30d73e5c90a" . "439a5ce" => base64_decode("Ly4qXC50d" . "2lnJC8="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["templ" . "ate"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["tem" . "pla" . "te"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_2c83c05de4fa1408a2" . "98026dfb8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d155d43a" . "39de93f85" . "8123c6b6c" . "e31d8a"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_69100b7c21efad30d73e5c9" . "0a439a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_523a40c86a0eb0d317646ab2bb" . "d40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7313d9106ead" . "a68fc893a6d67" . "33b58a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e632e86b0" . "2887f94d49" . "b7ed76a3eb" . "cdc"]);
        }
        return $template;
    }
}